shishi_kdcreq_etype(3)

NAME
shishi_kdcreq_etype - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_etype(Shishi * handle, Shishi_asn1 kdcreq, int32_t * etype, int netype);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ variable to get etype field from.

int32_t * etype
    output encryption type.

int netype
    element number to return.

RETURN THE NETYPE
th encryption type from KDC-REQ. The first etype is number 1.

RETURN VALUE
Returns SHISHI_OK iff etype successful set.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.